
ACSA HK Bill Payment SDK - Bug #14210

[VST2 - Backoffice_API] Category Code Field Type

26 August 2022 10:43 AM - wong yen chen

Status: Closed Start date: 26 August 2022

Priority: Normal Due date: 30 August 2022

Assignee: wong yen chen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Jira [PIIUC-243]

Background

Merchant Category will need to sort in ascending order according to the Category Code in Mobile App. However, the current

Category Code are sorted according to the first number of the code instead of ascending order, the string field type has causes the

disruption in sorting of the said field.

Enhancement

To change the Category Code field type from string to numeric.

Expected Result

Category Code field type changed to numeric (backoffice & API), able to sort in ascending order.

Related issues:

Related to Bug #14384: [UAT1 - Backoffice] Category Code Dropdown Field Error Closed 23 September 202226 September 2022

History

#1 - 29 August 2022 05:26 PM - Shafiqah Rahni

- Status changed from New to Resolved

- % Done changed from 0 to 100

BillPaymentApi

Revision: 218810

Changes :

1. update categoryCode type from Alphanumeric to Numeric for getBillerCatList, getBillerList, getBillList, getTrxRecordDetail, getBillPaymentDetail

response.

2. update categoryCode type from Alphanumeric to Numeric for getBillerList request

BackOffice

Revision: 218809

Changes:

1. update Merchant Category > Category Code field to numeric for Search & Listing, add, update, view

2. update Merchant Category > Category Code sorting to numeric

#2 - 30 August 2022 10:00 AM - Shafiqah Rahni

- Assignee changed from Shafiqah Rahni to wong yen chen
deployed to vst2

#3 - 30 August 2022 12:02 PM - wong yen chen

- File Change Category Code Field Type_Bug #14210.xlsx added

- Status changed from Resolved to Closed

Tested, all good.

Proceed to deploy to all environment.

#4 - 30 August 2022 06:00 PM - wong yen chen

Deployed to all environment.

#5 - 23 September 2022 04:35 PM - wong yen chen

- Related to Bug #14384: [UAT1 - Backoffice] Category Code Dropdown Field Error added

Files

Change Category Code Field Type_Bug #14210.xlsx 686 KB 30 August 2022 wong yen chen
